Package: geb.module

## [Groovy] Class FormElement

- geb.module.FormElement

- A module that can be used to access common properties of form elements. Serves as a base for more specialised modules modeling form elements. An attempt to initialize this module with a base other than a `button`, `input`, `option`, `select` or `textarea` will result in an InvalidModuleBaseException.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Module` | `browser, navigator`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `ensureAtMostOneBaseElement()`
    `` | `protected void` | `initialized()`
    `` | `boolean` | `isDisabled()` Allows to check if the first element of base navigator for this module is disabled based on the value of it's `disabled` attribute.
    `` | `boolean` | `isEditable()` Shorthand for {@code !
    `` | `boolean` | `isEnabled()` Shorthand for {@code !
    `` | `boolean` | `isReadOnly()` Allows to check if the first element of base navigator for this module is read-only based on the value of it's `readonly` attribute.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Module` | `$, $, $, $, $, $, $, $, $, $, $, $, $, $, $, add, add, add, add, allElements, asBoolean, attr, children, children, children, classes, click, click, click, click, closest, closest, css, elementIterator, eq, equals, filter, filter, find, find, find, find, find, find, find, find, find, find, find, find, find, find, find, findAll, first, firstElement, getAt, getAt, getAt, getAttribute, getContentPath, getHasOwner, getHeight, getInitializedNavigator, getJquery, getJs, getRootContainer, getStringRepresentation, getWidth, getX, getY, has, has, has, hasClass, hasNot, hasNot, hasNot, hashCode, head, init, init, initialized, is, isDisplayed, isEmpty, isFocused, iterator, last, lastElement, leftShift, methodMissing, module, module, moduleList, moduleList, next, next, next, nextAll, nextAll, nextAll, nextUntil, nextUntil, not, not, parent, parent, parent, parents, parents, parents, parentsUntil, parentsUntil, plus, prevAll, prevAll, prevAll, prevUntil, prevUntil, previous, previous, previous, propertyMissing, propertyMissing, remove, siblings, siblings, siblings, singleElement, size, tag, tail, text, toString, uninitializedException, unique, value, value, verifyNotEmpty, waitFor, waitFor, waitFor, waitFor`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### protected void ensureAtMostOneBaseElement()

    - #### protected void initialized()

    - #### boolean isDisabled()

      Allows to check if the first element of base navigator for this module is disabled based on the value of it's `disabled` attribute.

      Returns:
        true when the first element of base navigator is disabled

    - #### boolean isEditable()

      Shorthand for `!readOnly`.

      Returns:
        true when the first element of base navigator is editable
      See Also:
        isReadOnly()

    - #### boolean isEnabled()

      Shorthand for `!disabled`

      Returns:
        true when the first element of base navigator is enabled
      See Also:
        isDisabled()

    - #### boolean isReadOnly()

      Allows to check if the first element of base navigator for this module is read-only based on the value of it's `readonly` attribute.

      Returns:
        true when the first element of base navigator is read-only